hxt-unicode-9.0.2.4: Unicode en-/decoding functions for utf8, iso-latin-* and other encodings

Copyright | Copyright (C) 2010- Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt (uwe@fh-wedel.de)
Stability | stable
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Data.String.UTF8Decoding

Description

Interface for Data.Char.UTF8 funtions

Synopsis

- decodeUtf8 :: String -> (String, [String])
- decodeUtf8EmbedErrors :: String -> [Either String Char]
- decodeUtf8IgnoreErrors :: String -> String

# Documentation

decodeUtf8 :: String -> (String, [String]) Source #

calls `decode` for parsing and decoding UTF-8

decodeUtf8EmbedErrors :: String -> [Either String Char] Source #

decodeUtf8IgnoreErrors :: String -> String Source #